{
  "id": "28e09dc6-de75-4c61-8531-e6e3744f7e98",
  "name": "hierarchical-parent-namespace-relationship",
  "schemaVersion": "designs.meshery.io/v1beta1",
  "version": "0.0.2",
  "metadata": {
    "resolvedAliases": {}
  },
  "components": [
    {
      "id": "a35e1bde-fce4-4d83-a9b1-75e6e44d81ed",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "config-map-qr",
      "description": "",
      "format": "JSON",
      "modelReference": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "styles": {
        "background-opacity": 1,
        "body-text": "",
        "body-text-color": "#808080",
        "body-text-font-family": "Qanelas Soft",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-text-decoration": "none",
        "body-text-vertical-align": "center",
        "border-width": 0,
        "height": 24,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 803,
          "y": 385
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "bottom-round-rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/configmap-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/configmap-white.svg",
        "width": 24,
        "z-index": 0
      },
      "capabilities": null,
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false,
        "source_uri": "git://github.com/kubernetes/kubernetes/master/api/openapi-spec/v3"
      },
      "configuration": {
        "metadata": {
          "namespace": "default"
        }
      },
      "component": {
        "version": "v1",
        "kind": "ConfigMap",
        "schema": ""
      }
    },
    {
      "id": "e7b34c91-6f78-4055-bc2d-f670e7d11618",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "default",
      "description": "",
      "format": "JSON",
      "modelReference": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "styles": {
        "background-image": "none",
        "background-opacity": 0.5,
        "border-style": "dashed",
        "border-width": 2,
        "height": 80,
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/namespace-color.svg",
        "svgComplete": "ui/public/static/img/meshmodels/kubernetes/complete/namespace-complete.svg",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/namespace-white.svg",
        "width": 80
      },
      "capabilities": null,
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "parent",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false,
        "source_uri": "git://github.com/kubernetes/kubernetes/master/api/openapi-spec/v3"
      },
      "configuration": null,
      "component": {
        "version": "v1",
        "kind": "Namespace",
        "schema": ""
      }
    }
  ],
  "relationships": [
    {
      "id": "10dcd1ca-991e-4a82-a438-7e63add5f995",
      "evaluationQuery": "",
      "kind": "hierarchical",
      "metadata": {
        "description": "Namespace to namespaced components",
        "styles": {
          "primaryColor": "",
          "svgColor": "",
          "svgWhite": ""
        },
        "isAnnotation": false
      },
      "model": {
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "id": "00000000-0000-0000-0000-000000000000",
        "registrant": {
          "kind": "github"
        },
        "model": {
          "version": "v1.35.0-rc.0"
        }
      },
      "schemaVersion": "relationships.meshery.io/v1alpha3",
      "selectors": [
        {
          "allow": {
            "from": [
              {
                "id": "a35e1bde-fce4-4d83-a9b1-75e6e44d81ed",
                "kind": "*",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "*",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": ""
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatedRef": [
                    [
                      "configuration",
                      "metadata",
                      "namespace"
                    ]
                  ]
                }
              }
            ],
            "to": [
              {
                "id": "e7b34c91-6f78-4055-bc2d-f670e7d11618",
                "kind": "Namespace",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "version": "",
                  "name": "kubernetes",
                  "displayName": "",
                  "id": "00000000-0000-0000-0000-000000000000",
                  "registrant": {
                    "kind": "github"
                  },
                  "model": {
                    "version": ""
                  }
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "displayName"
                    ]
                  ]
                }
              }
            ]
          }
        }
      ],
      "subType": "inventory",
      "status": "approved",
      "type": "parent",
      "version": "v1.0.0"
    }
  ]
}